﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Telerik.Charting;

public partial class _Default : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
            RadChart1.Skin = "Office2007";

            List<ChartData> data = new List<ChartData>();
            data.Add(new ChartData() { Text = "5/13/2002", Value = 4000, Value2 = 2500, Date = new DateTime(2002, 5, 13).ToOADate() });
            data.Add(new ChartData() { Text = "7/2/2006", Value = 4000, Value2 = 5500, Date = new DateTime(2006, 7, 2).ToOADate() });
            data.Add(new ChartData() { Text = "5/16/2010", Value = 4100, Value2 = 2300, Date = new DateTime(2010, 5, 16).ToOADate() });
            data.Add(new ChartData() { Text = "11/8/2011", Value = 4600, Value2 = 330, Date = new DateTime(2011, 11, 8).ToOADate() });
            data.Add(new ChartData() { Text = "11/30/2011", Value = 5000, Value2 = 110, Date = new DateTime(2011, 11, 30).ToOADate() });

            ChartSeries bar = new ChartSeries();
            bar.Type = ChartSeriesType.Bar;
            //line2.Appearance.LabelAppearance.Visible = false;
            bar.DataYColumn = "Value2";
            bar.Appearance.PointMark.Visible = true;
            bar.Appearance.PointMark.Dimensions.AutoSize = false;
            bar.Appearance.PointMark.Dimensions.Height = 7;
            bar.Appearance.PointMark.Dimensions.Width = 7;
            bar.Appearance.PointMark.FillStyle.MainColor = System.Drawing.Color.Red;
            bar.Appearance.EmptyValue.Mode = Telerik.Charting.Styles.EmtyValuesMode.Zero;
            bar.Appearance.EmptyValue.Line.Color = System.Drawing.Color.Transparent;
            RadChart1.Series.Add(bar);

            ChartSeries line = new ChartSeries();
            line.Type = ChartSeriesType.Line;
            line.DataYColumn = "Value";
            line.Appearance.PointMark.Visible = true;
            line.Appearance.PointMark.Dimensions.AutoSize = false;
            line.Appearance.PointMark.Dimensions.Height = 7;
            line.Appearance.PointMark.Dimensions.Width = 7;
            line.Appearance.PointMark.FillStyle.MainColor = System.Drawing.Color.Blue;
            line.Appearance.EmptyValue.Mode = Telerik.Charting.Styles.EmtyValuesMode.Zero;
            line.Appearance.EmptyValue.Line.Color = System.Drawing.Color.Transparent;
            RadChart1.Series.Add(line);

            RadChart1.Legend.Appearance.ItemMarkerAppearance.Figure = "Circle";
            RadChart1.PlotArea.XAxis.DataLabelsColumn = "Date";
            RadChart1.AutoLayout = true;
            RadChart1.PlotArea.XAxis.Appearance.ValueFormat = Telerik.Charting.Styles.ChartValueFormat.ShortDate;
            RadChart1.DataSource = data;
            RadChart1.PlotArea.XAxis.Appearance.LabelAppearance.RotationAngle = 45;
            RadChart1.DataBind();
        }
    }

    public class ChartData
    {
        public string Text
        {
            get;
            set;
        }
        public double? Value
        {
            get;
            set;
        }
        public double? Value2
        {
            get;
            set;
        }
        public double Date
        {
            get;
            set;
        }
    }
}
